Package ru.bitel.oss.kernel.directories.address.common.bean

# Class Street

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.directories.address.common.bean.AddressPrefixSuffix
ru.bitel.oss.kernel.directories.address.common.bean.CityItem
ru.bitel.oss.kernel.directories.address.common.bean.Street

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class Street extends CityItem

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.oss.kernel.directories.address.common.bean.CityItem

  `cityId`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Street()`
  `Street(City city, int id, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Street`
  `from(Street street)`
  `String`
  `getPostIndex()`
  `Street`
  `setCity(City city)`
  `Street`
  `setCityId(int cityId)`
  `Street`
  `setId(int id)`
  Устанавливает id объекта
  `Street`
  `setPostIndex(String postIndex)`
  `Street`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `Street`
  `setTitlePrefix(String titlePrefix)`
  `Street`
  `setTitleSuffix(String titleSuffix)`

  ### Methods inherited from class ru.bitel.oss.kernel.directories.address.common.bean.CityItem

  `getCity, getCityId`

  ### Methods inherited from class ru.bitel.oss.kernel.directories.address.common.bean.AddressPrefixSuffix

  `getTitlePrefix, getTitleSuffix, toTitle`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### Street

    public Street()

  - ### Street

    public Street(City city, int id, String title)

- ## Method Details

  - ### getPostIndex

    public String getPostIndex()

  - ### setPostIndex

    public Street setPostIndex(String postIndex)

  - ### setId

    public Street setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setTitle

    public Street setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### setTitlePrefix

    public Street setTitlePrefix(String titlePrefix)
    Overrides:
      `setTitlePrefix` in class `AddressPrefixSuffix`

  - ### setTitleSuffix

    public Street setTitleSuffix(String titleSuffix)
    Overrides:
      `setTitleSuffix` in class `AddressPrefixSuffix`

  - ### setCityId

    public Street setCityId(int cityId)
    Overrides:
      `setCityId` in class `CityItem`

  - ### setCity

    public Street setCity(City city)
    Overrides:
      `setCity` in class `CityItem`

  - ### from

    public static Street from(Street street)